(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "./codegen", "./compose", "./datatypes", "./deeplyParseHeaders", "./ensureEndingSlash", "./ensureLeadingSlash", "./env", "./extractHeaders", "./fallback", "./fileToPath", "./getPermalink", "./inferTitle", "./isIndexFile", "./logger", "./moduleLoader", "./moduleResolver", "./normalizeConfig", "./parseEmojis", "./parseFrontmatter", "./parseHeaders", "./parseVueFrontmatter", "./performance", "./slugify", "./sort", "./toAbsolutePath", "./tryChain", "./unescapeHtml", "chalk", "fs-extra", "path", "globby", "hash-sum", "escape-html", "semver"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const tslib_1 = require("tslib");
    const codegen = tslib_1.__importStar(require("./codegen"));
    exports.codegen = codegen;
    const compose_1 = tslib_1.__importDefault(require("./compose"));
    exports.compose = compose_1.default;
    const datatypes = tslib_1.__importStar(require("./datatypes"));
    exports.datatypes = datatypes;
    const deeplyParseHeaders_1 = tslib_1.__importDefault(require("./deeplyParseHeaders"));
    exports.deeplyParseHeaders = deeplyParseHeaders_1.default;
    const ensureEndingSlash_1 = tslib_1.__importDefault(require("./ensureEndingSlash"));
    exports.ensureEndingSlash = ensureEndingSlash_1.default;
    const ensureLeadingSlash_1 = tslib_1.__importDefault(require("./ensureLeadingSlash"));
    exports.ensureLeadingSlash = ensureLeadingSlash_1.default;
    const env_1 = tslib_1.__importDefault(require("./env"));
    exports.env = env_1.default;
    const extractHeaders_1 = tslib_1.__importDefault(require("./extractHeaders"));
    exports.extractHeaders = extractHeaders_1.default;
    const fallback = tslib_1.__importStar(require("./fallback"));
    exports.fallback = fallback;
    const fileToPath_1 = tslib_1.__importDefault(require("./fileToPath"));
    exports.fileToPath = fileToPath_1.default;
    const getPermalink_1 = tslib_1.__importDefault(require("./getPermalink"));
    exports.getPermalink = getPermalink_1.default;
    const inferTitle_1 = tslib_1.__importDefault(require("./inferTitle"));
    exports.inferTitle = inferTitle_1.default;
    const isIndexFile = tslib_1.__importStar(require("./isIndexFile"));
    exports.isIndexFile = isIndexFile;
    const logger_1 = tslib_1.__importDefault(require("./logger"));
    exports.logger = logger_1.default;
    const moduleLoader = tslib_1.__importStar(require("./moduleLoader"));
    exports.moduleLoader = moduleLoader;
    const moduleResolver = tslib_1.__importStar(require("./moduleResolver"));
    exports.moduleResolver = moduleResolver;
    const normalizeConfig_1 = tslib_1.__importDefault(require("./normalizeConfig"));
    exports.normalizeConfig = normalizeConfig_1.default;
    const parseEmojis = tslib_1.__importStar(require("./parseEmojis"));
    exports.parseEmojis = parseEmojis;
    const parseFrontmatter_1 = tslib_1.__importDefault(require("./parseFrontmatter"));
    exports.parseFrontmatter = parseFrontmatter_1.default;
    const parseHeaders_1 = tslib_1.__importDefault(require("./parseHeaders"));
    exports.parseHeaders = parseHeaders_1.default;
    const parseVueFrontmatter = tslib_1.__importStar(require("./parseVueFrontmatter"));
    exports.parseVueFrontmatter = parseVueFrontmatter;
    const performance_1 = tslib_1.__importDefault(require("./performance"));
    exports.performance = performance_1.default;
    const slugify_1 = tslib_1.__importDefault(require("./slugify"));
    exports.slugify = slugify_1.default;
    const sort_1 = tslib_1.__importDefault(require("./sort"));
    exports.sort = sort_1.default;
    const toAbsolutePath_1 = tslib_1.__importDefault(require("./toAbsolutePath"));
    exports.toAbsolutePath = toAbsolutePath_1.default;
    const tryChain_1 = tslib_1.__importDefault(require("./tryChain"));
    exports.tryChain = tryChain_1.default;
    const unescapeHtml_1 = tslib_1.__importDefault(require("./unescapeHtml"));
    exports.unescapeHtml = unescapeHtml_1.default;
    const chalk_1 = tslib_1.__importDefault(require("chalk"));
    exports.chalk = chalk_1.default;
    const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
    exports.fs = fs_extra_1.default;
    const path_1 = tslib_1.__importDefault(require("path"));
    exports.path = path_1.default;
    const globby_1 = tslib_1.__importDefault(require("globby"));
    exports.globby = globby_1.default;
    const hash_sum_1 = tslib_1.__importDefault(require("hash-sum"));
    exports.hash = hash_sum_1.default;
    const escape_html_1 = tslib_1.__importDefault(require("escape-html"));
    exports.escapeHtml = escape_html_1.default;
    const semver_1 = tslib_1.__importDefault(require("semver"));
    exports.semver = semver_1.default;
});
